/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'endtime',
          prop: 'endtime',
          dataType: 'DATE',
        },
        {
          name: 'borrowstate',
          prop: 'borrowstate',
          dataType: 'SSCODELIST',
        },
        {
          name: 'checkman',
          prop: 'checkman',
          dataType: 'TEXT',
        },
        {
          name: 'begintime',
          prop: 'begintime',
          dataType: 'DATE',
        },
        {
          name: 'borrowreason',
          prop: 'borrowreason',
          dataType: 'TEXT',
        },
        {
          name: 'checktime',
          prop: 'checktime',
          dataType: 'DATE',
        },
        {
          name: 'hrarchivesid',
          prop: 'hrarchivesid',
          dataType: 'PICKUP',
        },
        {
          name: 'srfmajortext',
          prop: 'hrarchivesborrowname',
          dataType: 'TEXT',
        },
        {
          name: 'srfdataaccaction',
          prop: 'hrarchivesborrowid',
          dataType: 'GUID',
        },
        {
          name: 'srfkey',
          prop: 'hrarchivesborrowid',
          dataType: 'GUID',
          isEditable:true
        },
        {
          name: 'borrowman',
          prop: 'borrowman',
          dataType: 'TEXT',
        },
        {
          name: 'hrarchivesborrow',
          prop: 'hrarchivesborrowid',
        },

        {
          name:'size',
          prop:'size'
        },
        {
          name:'query',
          prop:'query'
        },
        {
          name:'filter',
          prop:'filter'
        },
        {
          name:'page',
          prop:'page'
        },
        {
          name:'sort',
          prop:'sort'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}