/**
 * EF_001 部件模型
 *
 * @export
 * @class EF_001Model
 */
export default class EF_001Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof EF_001Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'hrtransferapplyid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'hrtransferapplyname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'hremployeename',
        prop: 'hremployeename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'hrorganizationname2',
        prop: 'hrorganizationname2',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'hrpostname2',
        prop: 'hrpostname2',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'activetime',
        prop: 'activetime',
        dataType: 'DATE',
      },
      {
        name: 'attachment',
        prop: 'attachment',
        dataType: 'TEXT',
      },
      {
        name: 'organizationname',
        prop: 'organizationname',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'hrpostname',
        prop: 'hrpostname',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'hrdutyname',
        prop: 'hrdutyname',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'hrdutyname2',
        prop: 'hrdutyname2',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'hrorganizationid2',
        prop: 'hrorganizationid2',
        dataType: 'PICKUP',
      },
      {
        name: 'hrpostid2',
        prop: 'hrpostid2',
        dataType: 'PICKUP',
      },
      {
        name: 'hremployeeid',
        prop: 'hremployeeid',
        dataType: 'PICKUP',
      },
      {
        name: 'organizationid',
        prop: 'organizationid',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'wfinstanceid',
        prop: 'wfinstanceid',
        dataType: 'TEXT',
      },
      {
        name: 'checkstatus',
        prop: 'checkstatus',
        dataType: 'SSCODELIST',
      },
      {
        name: 'wfstate',
        prop: 'wfstate',
        dataType: 'WFSTATE',
      },
      {
        name: 'wfversion',
        prop: 'wfversion',
        dataType: 'TEXT',
      },
      {
        name: 'wfstep',
        prop: 'wfstep',
        dataType: 'SSCODELIST',
      },
      {
        name: 'createman',
        prop: 'createman',
        dataType: 'TEXT',
      },
      {
        name: 'hrtransferapplyid',
        prop: 'hrtransferapplyid',
        dataType: 'GUID',
      },
      {
        name: 'hrtransferapply',
        prop: 'hrtransferapplyid',
        dataType: 'FONTKEY',
      },
    ]
  }

}